1.0
1.0
post /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Create Transit Gateway VPC Connection.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayVpcConnectionCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayVpcConnectionShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"
Request body
{
"vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_vpc_connection": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "CREATING",
"transit_gateway_id": "",
"vpc_id": "",
"vpc_name": ""
}
}